=== debian/changelog ===
soundscaperenderer (0.4.1~dfsg-2) unstable; urgency=medium

  * export BOOST_LIB_DIR (Closes #747540, #747811)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 May 2014 11:49:11 +0200

soundscaperenderer (0.4.1~dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #738659)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 08 May 2014 16:58:09 +0200
