=== debian/control ===
Source: soundscaperenderer
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 dh-autoreconf,
 libboost-system-dev,
 libboost-thread-dev,
 libqt4-dev,
 libqt4-opengl-dev,
 libecasoundc-dev,
 libsndfile1-dev,
 libjack-dev | libjack-jackd2-dev,
 libfftw3-dev,
 libxml2-dev,
 help2man
Build-Depends-Indep:
 latexmk,
 ghostscript,
 texlive-fonts-recommended,
 texlive-latex-extra
Standards-Version: 3.9.5
Homepage: http://spatialaudio.net/ssr/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/soundscaperenderer
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/soundscaperenderer.git

Package: soundscaperenderer-nox
Architecture: any
Depends: soundscaperenderer-common,
 ${shlibs:Depends},
 ${misc:Depends}
Description: tool for real-time spatial audio reproduction (without X support)
 The SoundScape Renderer (SSR) is a tool for real-time spatial audio
 reproduction providing a variety of rendering algorithms, e.g. Wave Field
 Synthesis, Higher-Order Ambisonics and binaural techniques.
 .
 This package contains a version of SSR compiled without X support.

Package: soundscaperenderer
Architecture: any
Depends: soundscaperenderer-common,
 ${shlibs:Depends},
 ${misc:Depends}
Description: tool for real-time spatial audio reproduction
 The SoundScape Renderer (SSR) is a tool for real-time spatial audio
 reproduction providing a variety of rendering algorithms, e.g. Wave Field
 Synthesis, Higher-Order Ambisonics and binaural techniques.
 .
 This package contains a version of SSR compiled with graphical interface using
 Qt.

Package: soundscaperenderer-common
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: soundscaperenderer | soundscaperenderer-nox
Description: tool for real-time spatial audio reproduction (common-files)
 The SoundScape Renderer (SSR) is a tool for real-time spatial audio
 reproduction providing a variety of rendering algorithms, e.g. Wave Field
 Synthesis, Higher-Order Ambisonics and binaural techniques.
 .
 This package contains common files for all flavours of SSR.
