=== apf/examples/Makefile ===
--- 
+++ 
@@ -75,14 +75,17 @@
 
 # For Puredata stuff see also package.txt
 
-pd: $(FLEXTPATH) package.txt
+pd: check_flext_path package.txt
 	$(FLEXTPATH)/build.sh pd gcc
 
 .PHONY: pd
 
-$(FLEXTPATH):
-	@test -d $(FLEXTPATH) || \
+check_flext_path:
+	@test -n '$(FLEXTPATH)' || ( echo \"FLEXTPATH\" is empty! ; false )
+	@test -d '$(FLEXTPATH)' || \
 		( echo \"$(FLEXTPATH)\" not found! Set FLEXTPATH! ; false )
+
+.PHONY: check_flext_path
 
 mex: CPPFLAGS += -DNDEBUG
 mex: $(MEX_FILES)
@@ -99,7 +102,7 @@
 clean:
 	$(RM) $(EXECUTABLES) $(OBJECTS)
 	test -d $(FLEXTPATH) && $(FLEXTPATH)/build.sh pd gcc clean || true
-	rmdir pd-linux || true
+	@rmdir pd-linux 2> /dev/null || true
 	$(RM) $(MEX_FILES)
 
 .PHONY: clean
