=== debian/changelog ===
soundscaperenderer (0.4.2~dfsg-5) unstable; urgency=medium

  * Override date string in documentation to a reproducible value.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 04 Nov 2015 12:48:50 +0100

soundscaperenderer (0.4.2~dfsg-4) unstable; urgency=medium

  * Update Vcs-Browser stanza
  * Added debian/git-tuneclone.sh script
  * Regenerated debian/control
    - (LP: #1408181)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Nov 2015 14:19:48 +0100

soundscaperenderer (0.4.2~dfsg-3) unstable; urgency=medium

  * Depend on "jackd" as it is required to run ssr
  * Recommend "ecasound" for file playback (LP: #1408181)
  * More descriptive error-message (Closes: #749529)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Aug 2015 19:37:56 +0200

soundscaperenderer (0.4.2~dfsg-2) unstable; urgency=medium

  * Worked around template-bug in g++ (Closes: #761529)
  * Ignore newly introduced wav-files
  * Exclude upstreams .gitignore
  * Updated debian/copyright
  * Regenerated debian/(copyright_hints|control)
  * Fixed 'Closes:' stanza in changelog-entry for 0.4.1~dfsg-2
  * Bumped standards to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 18 Sep 2014 17:18:42 +0200

soundscaperenderer (0.4.2~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.4.2~dfsg

  * Refreshed patches.
  * Removed patches applied upstream.
  * Install upstream's NEWS as changelog.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 Sep 2014 11:35:32 +0200
