=== debian/control ===
--- 
+++ 
@@ -22,16 +22,18 @@
  ghostscript,
  texlive-fonts-recommended,
  texlive-latex-extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://spatialaudio.net/ssr/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/soundscaperenderer
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/soundscaperenderer.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/soundscaperenderer.git
 
 Package: soundscaperenderer-nox
 Architecture: any
 Depends: soundscaperenderer-common,
+ jackd,
  ${shlibs:Depends},
  ${misc:Depends}
+Recommends: ecasound
 Description: tool for real-time spatial audio reproduction (without X support)
  The SoundScape Renderer (SSR) is a tool for real-time spatial audio
  reproduction providing a variety of rendering algorithms, e.g. Wave Field
@@ -42,8 +44,10 @@
 Package: soundscaperenderer
 Architecture: any
 Depends: soundscaperenderer-common,
+ jackd,
  ${shlibs:Depends},
  ${misc:Depends}
+Recommends: ecasound
 Description: tool for real-time spatial audio reproduction
  The SoundScape Renderer (SSR) is a tool for real-time spatial audio
  reproduction providing a variety of rendering algorithms, e.g. Wave Field
