=== debian/rules ===
--- 
+++ 
@@ -41,15 +41,19 @@
 DEB_CONFIGURE_EXTRA_FLAGS_nox = --disable-gui --program-suffix=.nox
 DEB_CONFIGURE_EXTRA_FLAGS += $(DEB_CONFIGURE_EXTRA_FLAGS_$(cdbs_make_curflavor))
 
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/manual/images/.*\.(png|eps)|data/images/.*\.png|data/MacOSX/.*/.*\.(png|jpg)|data/MacOSX/(SSRIcon.icns|run-ssr.scpt)|data/impulse_responses/hrirs/hrirs_fabian\.wav|data/impulse_responses/wfs_prefilters/wfs_prefilter_[0-9]*_[0-9]*_[0-9]*\.wav|debian/(changelog|copyright(|_hints|_newhints)))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/manual/images/.*\.(png|eps)|data/images/.*\.png|data/MacOSX/.*/.*\.(png|jpg)|data/MacOSX/(SSRIcon.icns|run-ssr.scpt)|data/impulse_responses/hrirs/hrirs_fabian\.wav|data/impulse_responses/wfs_prefilters/wfs_prefilter_[0-9]*_[0-9]*_[0-9]*\.wav|flext/(hrirs_fabian|wfs_prefilter_120_1500_44100)\.wav|debian/(changelog|copyright(|_hints|_newhints)))$
 
 DEB_INSTALL_MANPAGES_soundscaperenderer="--language=C"
 DEB_INSTALL_MANPAGES_soundscaperenderer-nox="--language=C"
 
+DEB_INSTALL_CHANGELOGS_soundscaperenderer-common=NEWS
+
 
 build/soundscaperenderer-common::
+	debian/scripts/version-tex.sh $(DEB_VERSION) > doc/manual/overrides.tex
 	cd doc/manual && (latexmk; latexmk)
 cleanbuilddir/soundscaperenderer-common::
+	rm -f doc/manual/overrides.tex
 	test -e doc/manual/SoundScapeRenderer.pdf && ( cd doc/manual && latexmk -C ) || true
 binary-install/soundscaperenderer-common::
 	rm -rf $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/ssr/images/
