=== apf/unit_tests/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 CXXFLAGS += -pedantic
 # warnings are errors
 CXXFLAGS += -pedantic-errors
-#CXXFLAGS += -Werror
+CXXFLAGS += -Werror
 # even more warnings:
 CXXFLAGS += -Wpointer-arith
 CXXFLAGS += -Wcast-align
