=== debian/changelog ===
soundscaperenderer (0.5.0~dfsg-7) unstable; urgency=medium

  * Show error messages instead of exception backtraces (Closes: #1029102)
  * Print used renderer when starting the generic 'ssr' wrapper
  * Ensure that 'licensecheck' is run with the C.UTF-8 locale
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 Jan 2023 09:23:44 +0100

soundscaperenderer (0.5.0~dfsg-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Modernize 'licensecheck' target
    + Re-generate d/copyright
  * shell fixes for common ssr-maintainerscript snippet

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 12:49:46 +0100

soundscaperenderer (0.5.0~dfsg-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig ]
  * Switch from cdbs to dh
  * Split B-Ds into Arch & Indep
  * Add patch for flavored 'ssr' wrapper
  * soundscaperenderer-common
    * Move runtime icons to soundscaperenderer-common
    * Build HTML-documentation rather than PDF
  * Use pre-generated manpages
    * Fix UTF-8 characters in manpages
    * Specify manpage language as C
  * d/scripts/alternatives
    + Don't fail if there are no alternatives
    + Fix typo in helper-script
  * Have "soundscaperenderer" not depend on itself
  * Bump copyright dates
  * Apply 'wrap-and-sort -ast'
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0


 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 24 Nov 2021 16:57:50 +0100

soundscaperenderer (0.5.0~dfsg-4) unstable; urgency=medium

  * Fix typo in ssr-nox install paths (Closes: #926311)
  * Bump standards version to 4.3.0
    - no changes required

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 13 Apr 2019 20:06:32 +0200

soundscaperenderer (0.5.0~dfsg-3) unstable; urgency=medium

  * Don't build Qt-packages on armel/armhf (Closes: #914143)
  * B-D on non-virtual libqt5opengl5-dev package

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Nov 2018 11:07:41 +0100

soundscaperenderer (0.5.0~dfsg-2) unstable; urgency=medium

  * Centralize the update-alternative handling (Closes: #914085)
  * B-D on libqt5opengl5-desktop-dev
  * Build and install documentation
  * Added description to ssr-dca manpage
  * Updated d/copyright
    * Refreshed d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Nov 2018 21:08:02 +0100

soundscaperenderer (0.5.0~dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.0~dfsg
    * Refreshed patches and removed those applied upstream

  * Switched to Qt5 (Closes: #875188)
  * Switched to libasio for networking
  * Use sphinx for building documentation
  * Use wildcards for installing manpages
  * Dropped B-D on dh-autoreconc
  * Dropped B-D-Indep
  * Versioned depends on -common package

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 17 Nov 2018 22:44:08 +0100

soundscaperenderer (0.4.2~dfsg-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig ]
  * Added patch to allow compilation with recent boost
  * Declare that "root" is not required for building the package
  * Mark soundscaperenderer-common as "Multi-Arch: foreign"
  * Refresh d/copyright_hints
  * Drop d/control.in
  * Bump dh-compat to 10
  * Bump standards-version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 16 Nov 2018 23:11:22 +0100

soundscaperenderer (0.4.2~dfsg-6) unstable; urgency=medium

  * Added tex-override to resurrect missing '\bf' (Closes: #827630)
  * Document git-tuneclone.sh in debian/README.source
  * Removed duplicate shebang
  * Refreshed d/copyright(_hints)
  * Switched Vcs-Git stanza to https://
  * Bumped standards to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 01 Jul 2016 16:13:19 +0200
