=== debian/changelog ===
soundscaperenderer (0.6.0+dfsg2-1) unstable; urgency=medium

  * New upstream version 0.6.0+dfsg2
    + Drop patches applied/obsoleted upstream
  * Remove flavored 'ssr' wrapper (the wrapper is deprecated upstream)
    + Update 'ssr' manpage
  * Disable unused websocket-interface for arch-indep build
  * Exclude more stripped files from building
  * HTML documentation
    + Don't use unpackaged sphinx extensions/themes
    + Use 'sphinx_rtd_theme'
    + Add patch to exclude 'insipid'-specific navigation hints
  * Add more Build-Dependencies
  * Mark patches as (not) forwarded
  * Exclude more files from import
    (This explains why the Debian version number says dfsg2,
    even though there was no other upload...)
  * Update d/copyright
    + Update copyright and date stanzas
    + Drop unused license from d/copyright
    + Update 'licensecheck' target
    + Re-generate d/copyright_hints
  * Update d/watch
    + Bump version to 4
    + Use release-tarball
    + Automatically add repacksuffix

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Feb 2023 12:48:14 +0100
