=== debian/control ===
--- 
+++ 
@@ -16,6 +16,8 @@
  libasio-dev,
  libecasoundc-dev,
  libqt5opengl5-dev [!armel !armhf],
+ libwebsocketpp-dev,
+ rapidjson-dev,
 Build-Depends-Indep:
  python3-sphinx,
  python3-sphinx-rtd-theme,
