=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,17 @@
 # per flavor configure options
 CONFIG_qt  = --enable-gui  --program-suffix=.qt
 CONFIG_nox = --disable-gui --program-suffix=.nox
-CONFIG_indep = --program-suffix=.indep --disable-all --disable-gui --disable-ip-interface --disable-ecasound --disable-polhemus --disable-razor --disable-vrpn --disable-intersense --disable-isatty
+CONFIG_indep = --program-suffix=.indep --disable-all \
+	--disable-gui \
+	--disable-ip-interface \
+	--disable-websocket-interface \
+	--disable-ecasound \
+	--disable-polhemus \
+	--disable-razor \
+	--disable-vrpn \
+	--disable-intersense \
+	--disable-isatty \
+	$(empty)
 
 
 # Use the default debhelper scripts, where possible.
@@ -81,7 +91,7 @@
 	dh_installman --language=C
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
-        debian/.*|data/impulse_responses/hrirs/.*\.wav|doc/manual/images/screenshot.*\.png|data/MacOSX/SSRIcon\.icns|data/MacOSX/\.background/background\.png|data/MacOSX/dylibbundler/dylibbundler\.png
+        debian/.*|flext/.*\.wav|data/impulse_responses/hrirs/.*\.wav|doc/manual/images/screenshot.*\.png|data/MacOSX/SSRIcon\.icns|data/MacOSX/\.background/background\.png|data/MacOSX/dylibbundler/dylibbundler\.png
 # licensecheck v1
 .PHONY: licensecheck
 licensecheck:
