## soundscaperenderer 0.6.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,19 @@
  libjack-dev | libjack-jackd2-dev,
  libsndfile1-dev,
  libxml2-dev,
- pkg-config,
+ pkgconf | pkg-config,
 Build-Depends-Arch:
  libasio-dev,
  libecasoundc-dev,
+ libfmt-dev,
+ libmysofa-dev,
  libqt5opengl5-dev [!armel !armhf],
  libwebsocketpp-dev,
  rapidjson-dev,
 Build-Depends-Indep:
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://spatialaudio.net/ssr/
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundscaperenderer.git
